"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191430>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1914c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191550>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1915e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191670>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191700>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191790>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191820>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1918b0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191940>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1919d0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191a60>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191af0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191b80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191c10>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191ca0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191d30>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191dc0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191e50>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191ee0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c191f70>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196040>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1960d0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196160>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196280>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1961f0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196310>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1963a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196430>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1964c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196550>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1965e0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196670>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196700>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196790>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196820>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1968b0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196940>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1969d0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196a60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196af0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196b80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196c10>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196ca0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196d30>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196dc0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196e50>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196ee0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c196f70>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199040>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1990d0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199160>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1991f0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199280>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199310>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1993a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199430>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1994c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199550>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1995e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199670>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199700>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199790>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199820>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c1998b0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199a60>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199940>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199af0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199b80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199c10>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199ca0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199d30>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199e50>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199dc0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199ee0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c199f70>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c19d040>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c19d160>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c19d0d0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c19d1f0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c19d280>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c19d310>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c19d3a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c19d430>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7efd0c19d4c0>)]
name: str = 'fr_HOCCN'
